Index: trunk/sources/HeuristicLab.Operators.Programmable/3.3/HeuristicLab.Operators.Programmable-3.3.csproj
===================================================================
--- trunk/sources/HeuristicLab.Operators.Programmable/3.3/HeuristicLab.Operators.Programmable-3.3.csproj	(revision 5809)
+++ trunk/sources/HeuristicLab.Operators.Programmable/3.3/HeuristicLab.Operators.Programmable-3.3.csproj	(revision 5832)
@@ -19,5 +19,6 @@
     </UpgradeBackupLocation>
     <TargetFrameworkVersion>v4.0</TargetFrameworkVersion>
-    <TargetFrameworkProfile></TargetFrameworkProfile>
+    <TargetFrameworkProfile>
+    </TargetFrameworkProfile>
     <PublishUrl>publish\</PublishUrl>
     <Install>true</Install>
Index: trunk/sources/HeuristicLab.Operators.Programmable/3.3/ProgrammableOperatorView.Designer.cs
===================================================================
--- trunk/sources/HeuristicLab.Operators.Programmable/3.3/ProgrammableOperatorView.Designer.cs	(revision 5809)
+++ trunk/sources/HeuristicLab.Operators.Programmable/3.3/ProgrammableOperatorView.Designer.cs	(revision 5832)
@@ -45,7 +45,7 @@
     /// </summary>
     private void InitializeComponent() {
-      System.Windows.Forms.TabPage tabPage2;
-      System.ComponentModel.ComponentResourceManager resources = new System.ComponentModel.ComponentResourceManager(typeof(ProgrammableOperatorView));
+      this.tabPage2 = new System.Windows.Forms.TabPage();
       this.splitContainer1 = new System.Windows.Forms.SplitContainer();
+      this.compilationLabel = new System.Windows.Forms.Label();
       this.splitContainer2 = new System.Windows.Forms.SplitContainer();
       this.assembliesBox = new System.Windows.Forms.GroupBox();
@@ -61,11 +61,11 @@
       this.breakpointCheckBox = new System.Windows.Forms.CheckBox();
       this.breakpointLabel = new System.Windows.Forms.Label();
-      this.compilationLabel = new System.Windows.Forms.Label();
-      tabPage2 = new System.Windows.Forms.TabPage();
       ((System.ComponentModel.ISupportInitialize)(this.errorProvider)).BeginInit();
-      tabPage2.SuspendLayout();
+      this.tabPage2.SuspendLayout();
+      ((System.ComponentModel.ISupportInitialize)(this.splitContainer1)).BeginInit();
       this.splitContainer1.Panel1.SuspendLayout();
       this.splitContainer1.Panel2.SuspendLayout();
       this.splitContainer1.SuspendLayout();
+      ((System.ComponentModel.ISupportInitialize)(this.splitContainer2)).BeginInit();
       this.splitContainer2.Panel1.SuspendLayout();
       this.splitContainer2.Panel2.SuspendLayout();
@@ -81,20 +81,21 @@
       this.errorProvider.SetIconAlignment(this.nameTextBox, System.Windows.Forms.ErrorIconAlignment.MiddleLeft);
       this.errorProvider.SetIconPadding(this.nameTextBox, 2);
-      this.nameTextBox.Size = new System.Drawing.Size(913, 20);
-      // 
-      // descriptionTextBox
-      // 
-      this.descriptionTextBox.Size = new System.Drawing.Size(913, 20);
+      this.nameTextBox.Location = new System.Drawing.Point(70, 0);
+      this.nameTextBox.Size = new System.Drawing.Size(890, 20);
+      // 
+      // infoLabel
+      // 
+      this.infoLabel.Location = new System.Drawing.Point(966, 3);
       // 
       // tabPage2
       // 
-      tabPage2.Controls.Add(this.splitContainer1);
-      tabPage2.Location = new System.Drawing.Point(4, 22);
-      tabPage2.Name = "tabPage2";
-      tabPage2.Padding = new System.Windows.Forms.Padding(3);
-      tabPage2.Size = new System.Drawing.Size(977, 596);
-      tabPage2.TabIndex = 1;
-      tabPage2.Text = "Code";
-      tabPage2.UseVisualStyleBackColor = true;
+      this.tabPage2.Controls.Add(this.splitContainer1);
+      this.tabPage2.Location = new System.Drawing.Point(4, 22);
+      this.tabPage2.Name = "tabPage2";
+      this.tabPage2.Padding = new System.Windows.Forms.Padding(3);
+      this.tabPage2.Size = new System.Drawing.Size(977, 625);
+      this.tabPage2.TabIndex = 1;
+      this.tabPage2.Text = "Code";
+      this.tabPage2.UseVisualStyleBackColor = true;
       // 
       // splitContainer1
@@ -114,13 +115,23 @@
       // 
       this.splitContainer1.Panel2.Controls.Add(this.codeEditor);
-      this.splitContainer1.Size = new System.Drawing.Size(971, 590);
+      this.splitContainer1.Size = new System.Drawing.Size(971, 619);
       this.splitContainer1.SplitterDistance = 244;
       this.splitContainer1.TabIndex = 0;
       // 
+      // compilationLabel
+      // 
+      this.compilationLabel.AutoSize = true;
+      this.compilationLabel.ForeColor = System.Drawing.SystemColors.ControlDarkDark;
+      this.compilationLabel.Location = new System.Drawing.Point(63, 9);
+      this.compilationLabel.Name = "compilationLabel";
+      this.compilationLabel.Size = new System.Drawing.Size(69, 13);
+      this.compilationLabel.TabIndex = 2;
+      this.compilationLabel.Text = "Not compiled";
+      // 
       // splitContainer2
       // 
       this.splitContainer2.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
-            | System.Windows.Forms.AnchorStyles.Left)
-            | System.Windows.Forms.AnchorStyles.Right)));
+                  | System.Windows.Forms.AnchorStyles.Left)
+                  | System.Windows.Forms.AnchorStyles.Right)));
       this.splitContainer2.Location = new System.Drawing.Point(0, 33);
       this.splitContainer2.Name = "splitContainer2";
@@ -134,6 +145,6 @@
       // 
       this.splitContainer2.Panel2.Controls.Add(this.namespacesBox);
-      this.splitContainer2.Size = new System.Drawing.Size(242, 560);
-      this.splitContainer2.SplitterDistance = 278;
+      this.splitContainer2.Size = new System.Drawing.Size(242, 589);
+      this.splitContainer2.SplitterDistance = 292;
       this.splitContainer2.TabIndex = 2;
       // 
@@ -144,6 +155,6 @@
       this.assembliesBox.Location = new System.Drawing.Point(0, 0);
       this.assembliesBox.Name = "assembliesBox";
-      this.assembliesBox.Size = new System.Drawing.Size(242, 278);
-      this.assembliesBox.TabIndex = 1;
+      this.assembliesBox.Size = new System.Drawing.Size(242, 292);
+      this.assembliesBox.TabIndex = 0;
       this.assembliesBox.TabStop = false;
       this.assembliesBox.Text = "Assemblies";
@@ -155,5 +166,5 @@
       this.assembliesTreeView.Location = new System.Drawing.Point(3, 16);
       this.assembliesTreeView.Name = "assembliesTreeView";
-      this.assembliesTreeView.Size = new System.Drawing.Size(236, 259);
+      this.assembliesTreeView.Size = new System.Drawing.Size(236, 273);
       this.assembliesTreeView.TabIndex = 0;
       this.assembliesTreeView.AfterCheck += new System.Windows.Forms.TreeViewEventHandler(this.assembliesTreeView_AfterCheck);
@@ -165,6 +176,6 @@
       this.namespacesBox.Location = new System.Drawing.Point(0, 0);
       this.namespacesBox.Name = "namespacesBox";
-      this.namespacesBox.Size = new System.Drawing.Size(242, 278);
-      this.namespacesBox.TabIndex = 1;
+      this.namespacesBox.Size = new System.Drawing.Size(242, 293);
+      this.namespacesBox.TabIndex = 0;
       this.namespacesBox.TabStop = false;
       this.namespacesBox.Text = "Namespaces";
@@ -177,5 +188,5 @@
       this.namespacesTreeView.Name = "namespacesTreeView";
       this.namespacesTreeView.PathSeparator = ".";
-      this.namespacesTreeView.Size = new System.Drawing.Size(236, 259);
+      this.namespacesTreeView.Size = new System.Drawing.Size(236, 274);
       this.namespacesTreeView.TabIndex = 0;
       this.namespacesTreeView.AfterCheck += new System.Windows.Forms.TreeViewEventHandler(this.namespacesTreeView_AfterCheck);
@@ -187,5 +198,5 @@
       this.showCodeButton.Name = "showCodeButton";
       this.showCodeButton.Size = new System.Drawing.Size(24, 24);
-      this.showCodeButton.TabIndex = 0;
+      this.showCodeButton.TabIndex = 1;
       this.showCodeButton.TextImageRelation = System.Windows.Forms.TextImageRelation.ImageBeforeText;
       this.toolTip.SetToolTip(this.showCodeButton, "Show generated code");
@@ -199,5 +210,5 @@
       this.compileButton.Name = "compileButton";
       this.compileButton.Size = new System.Drawing.Size(24, 24);
-      this.compileButton.TabIndex = 1;
+      this.compileButton.TabIndex = 0;
       this.compileButton.TextImageRelation = System.Windows.Forms.TextImageRelation.ImageBeforeText;
       this.toolTip.SetToolTip(this.compileButton, "Compile (F6)");
@@ -211,5 +222,5 @@
       this.codeEditor.Name = "codeEditor";
       this.codeEditor.Prefix = "";
-      this.codeEditor.Size = new System.Drawing.Size(723, 590);
+      this.codeEditor.Size = new System.Drawing.Size(723, 619);
       this.codeEditor.Suffix = "";
       this.codeEditor.TabIndex = 0;
@@ -219,14 +230,15 @@
       // tabControl1
       // 
+      this.tabControl1.AllowDrop = true;
       this.tabControl1.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
-            | System.Windows.Forms.AnchorStyles.Left)
-            | System.Windows.Forms.AnchorStyles.Right)));
+                  | System.Windows.Forms.AnchorStyles.Left)
+                  | System.Windows.Forms.AnchorStyles.Right)));
       this.tabControl1.Controls.Add(this.tabPage1);
-      this.tabControl1.Controls.Add(tabPage2);
-      this.tabControl1.Location = new System.Drawing.Point(0, 75);
+      this.tabControl1.Controls.Add(this.tabPage2);
+      this.tabControl1.Location = new System.Drawing.Point(0, 46);
       this.tabControl1.Name = "tabControl1";
       this.tabControl1.SelectedIndex = 0;
-      this.tabControl1.Size = new System.Drawing.Size(985, 622);
-      this.tabControl1.TabIndex = 7;
+      this.tabControl1.Size = new System.Drawing.Size(985, 651);
+      this.tabControl1.TabIndex = 5;
       // 
       // tabPage1
@@ -236,5 +248,5 @@
       this.tabPage1.Name = "tabPage1";
       this.tabPage1.Padding = new System.Windows.Forms.Padding(3);
-      this.tabPage1.Size = new System.Drawing.Size(977, 596);
+      this.tabPage1.Size = new System.Drawing.Size(977, 625);
       this.tabPage1.TabIndex = 0;
       this.tabPage1.Text = "Parameters";
@@ -249,5 +261,5 @@
       this.parameterCollectionView.Name = "parameterCollectionView";
       this.parameterCollectionView.ReadOnly = false;
-      this.parameterCollectionView.Size = new System.Drawing.Size(971, 590);
+      this.parameterCollectionView.Size = new System.Drawing.Size(971, 619);
       this.parameterCollectionView.TabIndex = 0;
       // 
@@ -255,8 +267,8 @@
       // 
       this.breakpointCheckBox.AutoSize = true;
-      this.breakpointCheckBox.Location = new System.Drawing.Point(72, 52);
+      this.breakpointCheckBox.Location = new System.Drawing.Point(70, 26);
       this.breakpointCheckBox.Name = "breakpointCheckBox";
       this.breakpointCheckBox.Size = new System.Drawing.Size(15, 14);
-      this.breakpointCheckBox.TabIndex = 8;
+      this.breakpointCheckBox.TabIndex = 4;
       this.breakpointCheckBox.UseVisualStyleBackColor = true;
       this.breakpointCheckBox.CheckedChanged += new System.EventHandler(this.breakpointCheckBox_CheckedChanged);
@@ -265,19 +277,9 @@
       // 
       this.breakpointLabel.AutoSize = true;
-      this.breakpointLabel.Location = new System.Drawing.Point(3, 52);
+      this.breakpointLabel.Location = new System.Drawing.Point(3, 26);
       this.breakpointLabel.Name = "breakpointLabel";
       this.breakpointLabel.Size = new System.Drawing.Size(61, 13);
-      this.breakpointLabel.TabIndex = 9;
+      this.breakpointLabel.TabIndex = 3;
       this.breakpointLabel.Text = "Breakpoint:";
-      // 
-      // compilationLabel
-      // 
-      this.compilationLabel.AutoSize = true;
-      this.compilationLabel.ForeColor = System.Drawing.SystemColors.ControlDarkDark;
-      this.compilationLabel.Location = new System.Drawing.Point(63, 9);
-      this.compilationLabel.Name = "compilationLabel";
-      this.compilationLabel.Size = new System.Drawing.Size(67, 13);
-      this.compilationLabel.TabIndex = 3;
-      this.compilationLabel.Text = "Not compiled";
       // 
       // ProgrammableOperatorView
@@ -286,23 +288,24 @@
       this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
       this.Controls.Add(this.tabControl1);
+      this.Controls.Add(this.breakpointLabel);
       this.Controls.Add(this.breakpointCheckBox);
-      this.Controls.Add(this.breakpointLabel);
       this.Name = "ProgrammableOperatorView";
       this.Size = new System.Drawing.Size(985, 697);
+      this.Controls.SetChildIndex(this.breakpointCheckBox, 0);
       this.Controls.SetChildIndex(this.breakpointLabel, 0);
-      this.Controls.SetChildIndex(this.breakpointCheckBox, 0);
+      this.Controls.SetChildIndex(this.infoLabel, 0);
+      this.Controls.SetChildIndex(this.nameLabel, 0);
       this.Controls.SetChildIndex(this.tabControl1, 0);
       this.Controls.SetChildIndex(this.nameTextBox, 0);
-      this.Controls.SetChildIndex(this.nameLabel, 0);
-      this.Controls.SetChildIndex(this.descriptionLabel, 0);
-      this.Controls.SetChildIndex(this.descriptionTextBox, 0);
       ((System.ComponentModel.ISupportInitialize)(this.errorProvider)).EndInit();
-      tabPage2.ResumeLayout(false);
+      this.tabPage2.ResumeLayout(false);
       this.splitContainer1.Panel1.ResumeLayout(false);
       this.splitContainer1.Panel1.PerformLayout();
       this.splitContainer1.Panel2.ResumeLayout(false);
+      ((System.ComponentModel.ISupportInitialize)(this.splitContainer1)).EndInit();
       this.splitContainer1.ResumeLayout(false);
       this.splitContainer2.Panel1.ResumeLayout(false);
       this.splitContainer2.Panel2.ResumeLayout(false);
+      ((System.ComponentModel.ISupportInitialize)(this.splitContainer2)).EndInit();
       this.splitContainer2.ResumeLayout(false);
       this.assembliesBox.ResumeLayout(false);
@@ -332,4 +335,5 @@
     private System.Windows.Forms.Label compilationLabel;
     private System.Windows.Forms.Label breakpointLabel;
+    private System.Windows.Forms.TabPage tabPage2;
   }
 }
